import { Widget, WidgetModify, VueComponent } from './types';
/**
 * 布局骨架类
 */
export declare class Skeleton {
    readonly widgets: Widget[];
    widgetInstances: Record<string, VueComponent>;
    regions: Record<string, VueComponent>;
    constructor(widgets: Widget[]);
    load(widgets: Widget[]): void;
    get(name: string): Widget | undefined;
    set(name: string, modify: WidgetModify): void;
    add(widget: Widget): void;
    remove(name: string): void;
    getComponent(type: string | any): any;
}
